## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstXhtmlBodyVisitor

### Document::ezcDocumentRstXhtmlBodyVisitor

### Class ezcDocumentRstXhtmlBodyVisitor

HTML visitor for the RST AST, which only produces contents to be embedded somewhere into the body of an existing HTML document.

Source for this file: /Document/src/document/rst/visitor/xhtml_body.php

    ezcDocumentRstVisitor
       |
       --ezcDocumentRstXhtmlVisitor
          |
          --ezcDocumentRstXhtmlBodyVisitor

Version: | //autogen//

### Inherited Constants

From ezcDocumentRstVisitor:
`ezcDocumentRstVisitor::DUBLICATE` | Duplicate reference target. Will throw an error on use.
`ezcDocumentRstVisitor::UNUSED` | Unused reference target
`ezcDocumentRstVisitor::USED` | Used reference target

### Inherited Member Variables

From ezcDocumentRstXhtmlVisitor
protected | `ezcDocumentRstXhtmlVisitor::$complexVisitMapping`
protected | `ezcDocumentRstXhtmlVisitor::$depth`
protected | `ezcDocumentRstXhtmlVisitor::$document`
protected | `ezcDocumentRstXhtmlVisitor::$head`
protected | `ezcDocumentRstXhtmlVisitor::$options`
protected | `ezcDocumentRstXhtmlVisitor::$simpleVisitMapping`
protected | `ezcDocumentRstXhtmlVisitor::$skipNodes`
From ezcDocumentRstVisitor
protected | `ezcDocumentRstVisitor::$anonymousReferenceCounter`
protected | `ezcDocumentRstVisitor::$anonymousReferences`
protected | `ezcDocumentRstVisitor::$ast`
protected | `ezcDocumentRstVisitor::$errors`
protected | `ezcDocumentRstVisitor::$footnoteCounter`
protected | `ezcDocumentRstVisitor::$footnotes`
protected | `ezcDocumentRstVisitor::$footnoteSymbols`
protected | `ezcDocumentRstVisitor::$namedExternalReferences`
protected | `ezcDocumentRstVisitor::$path`
protected | `ezcDocumentRstVisitor::$referenceCounter`
protected | `ezcDocumentRstVisitor::$references`
protected | `ezcDocumentRstVisitor::$rst`
protected | `ezcDocumentRstVisitor::$substitutions`
protected | `ezcDocumentRstVisitor::$usedIDs`

### Method Summary

public mixed | `visit( $ast )` Docarate RST AST
protected void | `visitFieldListItem( $root , $node )` Visit field list item
protected void | `visitSection( $root , $node )` Visit section node

### Inherited Methods

From ezcDocumentRstXhtmlVisitor
public void | `ezcDocumentRstXhtmlVisitor::__construct()` Create visitor from RST document handler.
protected void | `ezcDocumentRstXhtmlVisitor::addStylesheets()` Add stylesheets to header
public string | `ezcDocumentRstXhtmlVisitor::escapeUrl()` Escape all special characters in URIs
protected string | `ezcDocumentRstXhtmlVisitor::generateFootnoteReferenceLink()` Generate footnote reference link
public mixed | `ezcDocumentRstXhtmlVisitor::visit()` Docarate RST AST
protected void | `ezcDocumentRstXhtmlVisitor::visitAnonymousReference()` Visit anonomyous reference node
protected void | `ezcDocumentRstXhtmlVisitor::visitBlockquote()` Visit blockquotes
protected void | `ezcDocumentRstXhtmlVisitor::visitBulletList()` Visit bullet lists
protected void | `ezcDocumentRstXhtmlVisitor::visitComment()` Visit comment
protected void | `ezcDocumentRstXhtmlVisitor::visitDefinitionListItem()` Visit definition list item
protected void | `ezcDocumentRstXhtmlVisitor::visitDirective()` Visit directive
protected void | `ezcDocumentRstXhtmlVisitor::visitEnumeratedList()` Visit enumerated lists
protected void | `ezcDocumentRstXhtmlVisitor::visitExternalReference()` Visit external reference node
protected void | `ezcDocumentRstXhtmlVisitor::visitFieldListItem()` Visit field list item
protected void | `ezcDocumentRstXhtmlVisitor::visitFootnote()` Visit footnote
protected void | `ezcDocumentRstXhtmlVisitor::visitInlineTarget()` Visit inline target node
protected void | `ezcDocumentRstXhtmlVisitor::visitInternalFootnoteReference()` Visit internal reference node
protected void | `ezcDocumentRstXhtmlVisitor::visitInterpretedTextNode()` Visit interpreted text node markup
protected void | `ezcDocumentRstXhtmlVisitor::visitLineBlock()` Visit line block
protected void | `ezcDocumentRstXhtmlVisitor::visitLineBlockLine()` Visit line block line
protected void | `ezcDocumentRstXhtmlVisitor::visitNode()` Visit single AST node
protected void | `ezcDocumentRstXhtmlVisitor::visitSection()` Visit section node
protected void | `ezcDocumentRstXhtmlVisitor::visitTableCell()` Visit table cell
From ezcDocumentRstVisitor
public void | `ezcDocumentRstVisitor::__construct()` Create visitor from RST document handler.
protected void | `ezcDocumentRstVisitor::addFootnote()` Add footnote
protected void | `ezcDocumentRstVisitor::aggregateListItems()` Aggregate list items
protected string | `ezcDocumentRstVisitor::calculateId()` Get a valid identifier string
protected string | `ezcDocumentRstVisitor::calculateUniqueId()` Calculate unique ID
protected bool | `ezcDocumentRstVisitor::compareListType()` Compare two list items
public string | `ezcDocumentRstVisitor::getAnonymousReferenceTarget()` Get anonymous reference target
public array | `ezcDocumentRstVisitor::getErrors()` Return list of errors occured during visiting the document.
public string | `ezcDocumentRstVisitor::getNamedExternalReference()` Return named external reference target
public ezcDocumentRstFootnoteNode | `ezcDocumentRstVisitor::hasFootnoteTarget()` Check for internal footnote reference target
public string | `ezcDocumentRstVisitor::hasReferenceTarget()` Check for internal reference target
public string | `ezcDocumentRstVisitor::nodeToString()` Transform a node tree into a string
protected void | `ezcDocumentRstVisitor::preProcessAst()` Pre process AST
protected void | `ezcDocumentRstVisitor::substitute()` Get substitution contents
protected string | `ezcDocumentRstVisitor::tokenListToString()` Get string from token list.
public void | `ezcDocumentRstVisitor::triggerError()` Trigger visitor error
public mixed | `ezcDocumentRstVisitor::visit()` Docarate RST AST
protected void | `ezcDocumentRstVisitor::visitChildren()` Visit children
protected void | `ezcDocumentRstVisitor::visitSubstitutionReference()` Visit substitution reference node
protected void | `ezcDocumentRstVisitor::visitText()` Visit text node

### Methods

#### visit

mixed visit( $ast )

Docarate RST AST

Visit the RST abstract syntax tree.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$ast` | ezcDocumentRstDocumentNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentRstXhtmlVisitor::visit()` | Docarate RST AST

#### visitFieldListItem

void visitFieldListItem( $root , ezcDocumentRstNode $node )

Visit field list item

##### Parameters:

Name | Type | Description
--- | --- | ---
`$root` | DOMNode |
`$node` | ezcDocumentRstNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentRstXhtmlVisitor::visitFieldListItem()` | Visit field list item

#### visitSection

void visitSection( $root , ezcDocumentRstNode $node )

Visit section node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$root` | DOMNode |
`$node` | ezcDocumentRstNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentRstXhtmlVisitor::visitSection()` | Visit section node

Documentation generated by phpDocumentor 1.4.3